{% extends "base.html" %}
{% load static %}
{% block css %}

<link href="{% static 'font-awesome/css/font-awesome.css' %}" rel="stylesheet">

{% endblock css %}

{% block title %}

<h1>Perfil Practicante</h1>

{% endblock title %}


{% block content %}

<div class="row">
	<div class="col-md-5">
		<div class="card type--profile">
			<header class="card-heading card-background" id="card_img_01">
				<img src="{{photo.url}}" alt="" class="img-circle ">
			</header>
			<div class="card-body">
				<h3 class="name">{{solicitud.alumno}}</h3>
				<span class="title">Practicante en <strong>{{solicitud.empresa.nombre}}</strong></span>
				<div class="row">
					<div class="col-md-6 text-center">
						<button type="button" class="btn btn-blue btn-block btn-round">Ir a Tareas</button>
					</div>
					<div class="col-md-6 text-center">
						<button type="button" data-toggle="modal" data-target="#modalausencias" class="btn btn-accent btn-block btn-round btn-danger">Ver Ausencias</button>
					</div>
				</div>
			</div>
			<footer class="card-footer border-top">
				<div class="row row p-t-10 p-b-10">
					<div class="col-xs-4"><span class="count">12</span><span>Semanas Completadas</span></div>
					<div class="col-xs-4"><span class="count">3</span><span>Semanas Faltantes</span></div>
					<div class="col-xs-4"><span class="count">340</span><span>Horas Completadas</span></div>
				</div>
			</footer>
		</div>
	</div>
	<div class="col-md-7">
		<div class="card">
			<header class="card-heading card-blue">
				<h2 class="card-title">Tareas Asignadas</h2>
			</header>
			<div class="card-body">
				<div class="row">
					<div class="col-md-12">
						<ul class="list-group p-0" style="max-height: 370px; overflow:hidden; overflow-y:scroll;">
						{% for x in solicitud.practica.week_practica_set.all %}
							{% for y in x.task_set.all %}
							<li class="list-group-item ">
								<div class="list-group-item-body">
									<div class="pull-right">
										<button data-toggle="modal" data-target="#comentario" data-pk="{{y.pk}}" class="btn modal-button btn-sm btn-blue"><i class="fa fa-comment"></i> Comentar Tarea</button>
									</div>
									<div class="list-group-item-heading">Semana {{x.number}}</div>
									<div class="list-group-item-text">{{y.name}}</div>
								</div>
							</li>
							{% endfor %}
						{% endfor %}
						</ul>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="row">
	<div class="col-md-12">
		<div class="card">
			<header class="card-heading card-blue">
				<h2 class="card-title">Feedbacks</h2>
			</header>
			<div class="card-body" style="height:300px; overflow:hidden; overflow-y:scroll;">
				<div class="tab-content">
					<div class="tab-pane fadeIn active" id="profile-timeline">
						{% for x in solicitud.practica.week_practica_set.all %}
						{% for y in x.task_set.all %}
						{% for z in y.comments_set.all %}
						<div class="row">
							<div class="col-xs-12 col-sm-11 col-sm-offset-1">
								<article>
									<div class="card card-comment" data-timeline="text">
										<div class="card-body">
											<div class="row">
												<div class="col-md-10">
													<h3>Semana {{x.number}} - Tarea: {{y.name}}</h3>
													<p><stronng>{{x.autor}}</stronng>{{z.texto}}</p>
												</div>
												<div class="col-md-2">
													<img src="assets/img/profiles/02.jpg" alt="" class="img-circle img-sm pull-left m-r-10">
													<h2 class="card-title m-t-5">{{feedback.author.name}}</h2>
													<ul class="card-actions icons right-top">
														<li>
															<span style="color:white" class="label label-primary">Postulación</span>
														</li>
													</ul>

												</div>
											</div>
										</div>
									</div>
								</article>
							</div>
						</div>
						{% endfor %}
						{% endfor %}
						{% endfor %}
					</div>
				</div>
			</div>
		</div>
	</div>
</div>

<!-- modal block -->
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
  <div class="modal-dialog" style="width:70%" role="document">
    <div class="modal-content">
      <div class="modal-header">
          <h2 style="color:white;" class="text-center">Editar Comentario</h2>
      </div>
      <div class="modal-body">
        <div class="row">
           <div class="col-md-12">
               <input type="text" id="pk_comentario_edit" style="display:none;">
                <div class="form-group">
                    <label class="control-label" for="item">Comentario</label>
                    <input class="form-control" value="" id="edit_comentario" name="edit_comentario" required type="text">
                </div>
            </div>
        </div>
      </div>
      <div class="modal-footer">
           <div class="row">
                <div class="col-md-6">
                    <button id="editar_comentario" class="btn btn-primary btn-block"><i class="fa fa-save"></i> Guardar Cambios</button>
                </div>
                <div class="col-md-6">
                    <button type="button" class="btn btn-block btn-danger" data-dismiss="modal"><i class="fa fa-times"></i> Cerrar</button>
                </div>
           </div>
      </div>
    </div>
  </div>
</div>


<!-- end modal block -->

<!-- modal block -->
<div class="modal fade" id="comentario" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
  <div class="modal-dialog" style="width:70%" role="document">
    <div class="modal-content">
      <div class="modal-header">
          <h2 style="color:white;" class="text-center">Nuevo Comentario</h2>
      </div>
      <div class="modal-body">
       <form action="{% url 'agregar_comentario' %}" method="post">
       {% csrf_token %}
        <div class="row">
           <div class="col-md-12">
				<input type="text" name="pk_tar" id="pk_tar" style="display:none;">
				<input type="text" value="{{pk}}" id="pk" name="pk" style="display:none;">
				<div class="form-group">
					<label class="control-label" for="item">Comentario</label>
					<input class="form-control" value="" id="comentario_nuevo" name="comentario_nuevo" required type="text">
				</div>
            </div>
        </div>
      </div>
      <div class="modal-footer">
           <div class="row">
                <div class="col-md-6">
                    <button type="submit" class="btn btn-primary btn-block"><i class="fa fa-save"></i> Guardar Cambios</button>
                </div>
   				</form>
                <div class="col-md-6">
                    <button type="button" class="btn btn-block btn-danger" data-dismiss="modal"><i class="fa fa-times"></i> Cerrar</button>
                </div>
           </div>
      </div>
    </div>
  </div>
</div>


<!-- end modal block -->

{% endblock content %}


{% block javascript %}

<script>


$(document).ready(function() {

    $('#exampleModal').on('show.bs.modal', function (event) {
        var button = $(event.relatedTarget) // Button that triggered the modal
        var pk = button.data('pk') // Extract info from data-* attributes
        $("#pk_comentario_edit").val(pk);
        data = {
            csrfmiddlewaretoken: '{{ csrf_token }}',
            pk_tarea: pk,
        };

        $.post("{% url 'get_comentario' %}",data,function(response){
            $("#edit_comentario").val(response.comentario)
        });

    });

	$('#comentario').on('show.bs.modal', function (event) {
        var button = $(event.relatedTarget) // Button that triggered the modal
        var pk = button.data('pk') // Extract info from data-* attributes
        $("#pk_tar").val(pk);
    });

    $("#editar_comentario").on("click",function(){

        data = {
            csrfmiddlewaretoken: '{{ csrf_token }}',
            pk_tarea: $("#pk_comentario_edit").val(),
            edit_comentario: $("#edit_comentario").val(),

        };

        $.post("{% url 'edit_comentario' %}",data,function(response){
            $("#tr_" + response.pk).html(response.html);
            $("#exampleModal").modal("toggle");
        });

    });


});

</script>


{% endblock javascript %}